    function editLC(lifecycleName) {
        new Ajax.Request('../resources/session-validate.jsp',
        {
            method:'post',
            asynchronous:false,
            onSuccess: function(transport) {
                var returnValue = transport.responseText;
                if(returnValue.search(/----timeout----/) == -1){
                    lifecyleOperationStarted = false;
                    CARBON.showErrorDialog("Session timed out. Please login again",function(){
                        location.href="../admin/logout_action.jsp";
                        return;
                    });
                } else {
                    new Ajax.Request('../lcm/nameinusecheck_lcm_ajaxprocessor.jsp',
                    {
                        method:'post',
                        parameters: {lifecycleName: lifecycleName},
                        evalScripts : true,
                        asynchronous:false,
                        onSuccess: function(transport) {
                            var returnValue = transport.responseText;
                            if(returnValue.search(/----IsInUse----/) != -1){
                                CARBON.showErrorDialog("Unable to edit. Lifecycle is already in use.");
                            } else {
                                document.location.href = "../lcm/source_lcm.jsp?lifecycleName=" + lifecycleName;
                            }
                        },
                        onFailure: function(transport) {
                            showRegistryError('Failed to edit lifecycle: ' + transport.responseText);
                        }
                    });
                }
            },
            onFailure: function(transport) {

            }
        });

    }

    function deleteLC(lifecycleName) {

        new Ajax.Request('../resources/session-validate.jsp',
        {
            method:'post',
            asynchronous:false,
            onSuccess: function(transport) {
                var returnValue = transport.responseText;
                if(returnValue.search(/----timeout----/) == -1){
                    lifecyleOperationStarted = false;
                    CARBON.showErrorDialog("Session timed out. Please login again",function(){
                        location.href="../admin/logout_action.jsp";
                        return;
                    });
                } else {
                    new Ajax.Request('../lcm/nameinusecheck_lcm_ajaxprocessor.jsp',
                    {
                        method:'post',
                        parameters: {lifecycleName: lifecycleName},
                        evalScripts : true,
                        asynchronous:false,
                        onSuccess: function(transport) {
                            var returnValue = transport.responseText;
                            if(returnValue.search(/----IsInUse----/) != -1){
                                CARBON.showErrorDialog("Unable to delete. Lifecycle is already in use.");
                            } else {
                                CARBON.showConfirmationDialog("Are you sure you want to delete the lifecycle " + lifecycleName + "?", function() {
                                    new Ajax.Request('../lcm/delete_lcm.jsp', {
                                        method: 'post',
                                        parameters: {lifecycleName: lifecycleName},
                                        onSuccess: function(transport) {
                                            var message = "Configuration is deleted.";
                                            window.location = "lcm.jsp";
                                            CARBON.showInfoDialog(message);
                                        },
                                        onFailure: function(transport) {
                                        {
                                            showRegistryError(transport.responseText);
                                        }
                                        }
                                    });
                                });
                            }
                        },
                        onFailure: function(transport) {
                            showRegistryError('Failed to delete lifecycle: ' + transport.responseText);
                        }
                    });
                }
            },
            onFailure: function(transport) {

            }
        });

    }

    function saveLC(lifecycleName, isNew) {
        new Ajax.Request('../resources/session-validate.jsp',
        {
            method:'post',
            asynchronous:false,
            onSuccess: function(transport) {
                var returnValue = transport.responseText;
                if(returnValue.search(/----timeout----/) == -1){
                    lifecyleOperationStarted = false;
                    CARBON.showErrorDialog("Session timed out. Please login again",function(){
                        location.href="../admin/logout_action.jsp";
                        return;
                    });
                } else {
                    var param1 = "";
                    if (isNew) {
                        param1 = $("payload").value;
                    } else {
                        param1 = lifecycleName;
                    }

                    new Ajax.Request('../lcm/nameinusecheck_lcm_ajaxprocessor.jsp',
                    {
                        method:'post',
                        parameters: {lifecycleName: param1},
                        evalScripts : true,
                        asynchronous:false,
                        onSuccess: function(transport) {
                            var returnValue = transport.responseText;
                            if(returnValue.search(/----IsInUse----/) != -1){
                                CARBON.showErrorDialog("Unable to save Lifecycle. Lifecycle Name is already in use.");
                            } else {
                                var payload = $("payload").value;
                                new Ajax.Request('../lcm/save_lcm.jsp', {
                                    method: 'post',
                                    parameters: {lifecycleName: lifecycleName, isNew: isNew, payload: payload},
                                    onSuccess: function(transport) {
                                        var message = "Configuration is successfully saved.";
                                        CARBON.showInfoDialog(message, function() {window.location = "lcm.jsp?region=region3&item=governance_lcm_menu";});
                                    },
                                    onFailure: function(transport) {
                                        showRegistryError(transport.responseText);
                                    }
                                });
                            }
                        },
                        onFailure: function(transport) {
                            showRegistryError('Failed to save lifecycle: ' + transport.responseText);
                        }
                    });
                }
            },
            onFailure: function(transport) {

            }
        });

    }